                     _               _  _    _
 __   _____ _ __ ___(_) ___  _ __   | || |  / |
 \ \ / / _ \ '__/ __| |/ _ \| '_ \  | || |_ | |
  \ V /  __/ |  \__ \ | (_) | | | | |__   _|| |
   \_/ \___|_|  |___/_|\___/|_| |_|    |_|(_)_|
                November 11. 2025

Breaking the seal: v4.0 was not the final release.

 * Allow to unseal netzones to modify the platform even after the simulation start.
 * The model-checker can now report memory race conditions (see tutorial).
 * Pip builds should now work out of the box.
 * (+ the usual bug fixes overall, and improvements to the Java/Python bindings).
                    _               _  _    ___
__   _____ _ __ ___(_) ___  _ __   | || |  / _ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \  | || |_| | | |
 \ V /  __/ |  \__ \ | (_) | | | | |__   _| |_| |
  \_/ \___|_|  |___/_|\___/|_| |_|    |_|(_)___/
               March 12. 2025

At last, the "this one is 4 you" release.

 * https://hal.science/hal-04909441 summarizes 10 years of development leading to this release.
 * New: Java bindings for the S4U interface (see the examples; the doc is still TBD).
 * The platform API was cleaned up and simplified; XBT dict and dynars were phased out.
 * MC: performance improvement and bug fixes.
                    _               _____  _____  __
__   _____ _ __ ___(_) ___  _ __   |___ / |___ / / /_
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \| '_ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) | (_) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____/ \___/
               September 9. 2024

The Anne of Brittany release (she became a Duchess 536 years ago).

 * Various improvements and unification of the simulation APIs
 * MC: Enable the verification of Python programs, and of condvars and iprobe calls.
 * MC: Exhibit the critical transition when a failure is found.
 * (+ internal refactoring and bug fixes)

                    _               _____  _________
__   _____ _ __ ___(_) ___  _ __   |___ / |___ / ___|
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \___ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) |__) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____/____/
               November 23. 2023

The "Thanks Giving up stateful model-checking" release. Stateless model checking remains.

 * Maint: liveness checking is gone. It was fragile and buggy.
 * API: ActivitySet make it easier to manage sets of activities.
 * Plugins chiller, photovoltaic and battery revamped and improved.
 * Performance improvements, both in time and memory.
 * (+ internal refactoring, usability improvements and bug fixes)
                    _               _____  _____ _  _
__   _____ _ __ ___(_) ___  _ __   |___ / |___ /| || |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \| || |_
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) |__   _|
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____/   |_|
               June 26. 2023

Save the planet, skip a release: 3.33 was due 6 months ago, so skip directly to 3.34.

 * Maint: MSG and Java are gone (EOL was scheduled for 2020), move to C++17,
          and drop 32bits support.
 * Model: Introduce a fluid I/O model, mixing I/O and network, to represent
          streaming from disk
 * API: DAG/workflow loader; Introducing Tasks which are activities that can
        be fired several times.
 * Doc: Several new documentation sections, and a new tutorial on DAGs.
 * MC: Safety properties now portable to every OS, activated by default
       in all builds.
 * MC: Introduction ODPOR/SDPOR reductions and guiding strategies (better
       state space traversal).
 * (+ internal refactoring, bug fixes and documentation improvement)

                    _               _____  _________
__   _____ _ __ ___(_) ___  _ __   |___ / |___ /___ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \ __) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) / __/
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____/_____|
               October 3. 2022

The Wiedervereinigung release. Germany was reunited 32 years ago.

  * Various cleanups around the virtual machines API
  * Improved Python platform generation (more robust, easier to use)
  * Further complete Python bindings (Comm, Engine, ptasks)
  * (+ internal refactoring, MANY bug fixes and documentation improvement)

                    _               _____  _____ _
__   _____ _ __ ___(_) ___  _ __   |___ / |___ // |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \| |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) | |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____/|_|
               March 22. 2022

The ненасильство release. We stand against war.

  * Refactoring the model-checker, enabling synchronization objects and future improvements
  * Introducing BMF sharing, enabling ptasks in regular models (experimental)
  * Further complete Python bindings (Mutex, Semaphore and Barrier)
  * (+ internal refactoring, many bug fixes and documentation improvement)

                    _               _____  _____  ___
__   _____ _ __ ___(_) ___  _ __   |___ / |___ / / _ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \| | | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) | |_| |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____/ \___/
               January 30. 2022

The Sunday Bloody Sunday release.

  * SimDAG is finally removed, fully superseded by S4U.
  * New documentation on calibrating MPI.
  * The Algorithms tutorial can now be taken in Python.
  * (+ many bug fixes and internal refactoring)

                    _               _____  ____   ___
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \ / _ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) | (_) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/ \__, |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____|  /_/
               October 7. 2021

The "Ask a stupid question" release

  * Python bindings for the platform creation API
  * Introduce non-linear resource sharing, allowing decay models
  * New documentation section on realistic I/O modeling
  * (+ many bug fixes and internal refactoring)

                    _               _____  ____  ___
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \( _ )
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) / _ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/ (_) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____\___/
               July 14. 2021

The Victoriadagarna Release (birthday of Crown Princess Victoria)

  * Programmatic platform description (only C++ for now).
  * New plugin to simplify producer/consumer applications.
  * MC: new tutorial and associated docker image.
  * SMPI: improve error handling for incorrect advanced usages.
  * Many internal cleanups and refactoring to prepare the future.

                    _               _____  ____ _____
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \___  |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) | / /
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/ / /
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____/_/
               March 29. 2021

The Ragnar Release (anniversary of the siege of Paris by Vikings in 845)

  * SMPI: can now report leaks and hint about the mallocs and kernels hindering simulation scalability
  * Doc: Several new sections in the user manual, and start documenting the internals.
  * S4U: Direct comms from host to host, without mailboxes.
  * Many internal cleanups and refactoring to prepare the future.

                    _               _____  ____   __
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \ / /_
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) | '_ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/| (_) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____|\___/
               December 15. 2020

The Release release (the French lockdown was eased).

 * SMPI: improved support of the proxy apps (including those using petsc)
 * WiFi: easier description in XML; energy plugin; more examples.
 * ns-3: Many bug fixes, can use the wifi models too.
 * (+ many bug fixes, documentation improvement and internal refactoring)

                    _               _____  ____  ____
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \| ___|
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) |___ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/ ___) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____|____/
               February 2. 2020 (02 02 2020)

The Palindrom Day Release.

 * Improve the Python usability (stability and documentation).
 * Further deprecate MSG: you now have to pass -Denable-MSG=ON to cmake.
 * SimDAG++: Automatic dependencies on S4U activities (experimental).
 * (+ many bug fixes and internal refactoring)

                    _               _____  ____  _  _
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \| || |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) | || |_
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/|__   _|
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____|  |_|
               October 9. 2019

The Clean Disk Release.

 * Introduce an experimental Wifi network model.
 * Introduce <disk> (cleaner logic than <storage>).
 * SMPI: Implement Errhandlers and some more MPI3.1 calls.
 * (+ many bug fixes and internal refactorings)

                    _               _____  ____  _____
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \|___ /
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) | |_ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/ ___) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____|____/
               June 25. 2019

The Exotic Solstice Release.

 * Support for Solaris and Haiku OSes. Just for fun :)
 * SMPI: more of MPI3.1; some MPI/IO and async collectives.
 * Python bindings can now be installed from pip.
 * (+ a whole load of bug fixes and internal refactorings)

                    _               _____  ____  ____
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \|___ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) | __) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/ / __/
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____|_____|
               April 1. 2019

The Easter Christmas Release (this one is somewhat late).

 * Introducing the Python bindings (still beta)
 * Doc: SMPI tutorial and platform description ported to RTD
 * Many internal cleanups leading to some user-level speedups
 * (+ the classical bug fixes and internal refactorings)

                    _               _____  ____  _
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \/ |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/| |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____|_|
               October 3. 2018

The Restarting Documentation (TRD) release.

 * Start to overhaul the documentation, and move to Sphinx + RTD.
 * Allow dynamic replay of MPI apps, controlled by S4U actors
 * Rewrite the support for auto-restarted actors (was utterly broken)
 * (+ the classical bug fixes and doc improvement)

                    _               _____  ____   ___
__   _____ _ __ ___(_) ___  _ __   |___ / |___ \ / _ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   __) | | | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / __/| |_| |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_____|\___/
               June 24. 2018

The proxy snake_case() release.

 * Sanitize the public API. Compatibility wrappers in place for one year.
 * More CI: ~45 Proxy Apps + BigDFT + StarPU now tested nightly
 * MPI: Port the trace replay engine to C++, fix visualization
 * (+ the classical bug fixes and doc improvement)

                    _               _____  _  ___   _
__   _____ _ __ ___(_) ___  _ __   |___ / / |/ _ \ / |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | (_) || |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || |\__, || |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|  /_(_)_|
               March 22 2018

The Fixed ABI release.

 * Reduce the changes to the binary interface of MSG,
   accidentally introduced by v3.19.

                    _               _____  _  ___
__   _____ _ __ ___(_) ___  _ __   |___ / / |/ _ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | (_) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || |\__, |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|  /_/
               March 20 2018

The Moscovitly-cold Spring release.

 * SMPI: Allow to start new actors and ranks after simulation start.
 * SMPI: Support ICC, better testing on classical proxy apps.
 * Some kernel headers are now installed, allowing external plugins.
 * (+ the classical bug fixes and doc improvement)

                    _               _____  _  ___
__   _____ _ __ ___(_) ___  _ __   |___ / / |( _ )
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | |/ _ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || | (_) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|\___/
               December 24 2017

The "Ho Ho Ho! SimGrid 4 beta is coming to town" release.
  SimGrid 4 *may* be there by the next solstice.

 * Convert almost all interesting MSG examples to S4U.
 * New model: energy consumption due to the network.
 * Major cleanups in the disk and storage subsystems.
 * (+ further deprecate XBT, bug fixes and doc improvement)

                    _               _____  _ _____
__   _____ _ __ ___(_) ___  _ __   |___ / / |___  |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | |  / /
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || | / /
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|/_/
               October 8 2017

The Drained Leaks release: (almost) no known leaks despite the tests.

 * Many many internal cleanups (almost 700 commits since 3.16).
 * The coverage of our tests is above 80%.
 * All memleaks but one plugged; A dozen of bugs fixed.
 * XBT: Further replace XBT with std::* constructs.

                    _               _____  _  __
__   _____ _ __ ___(_) ___  _ __   |___ / / |/ /_
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | '_ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || | (_) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|\___/
               June 22 2017

The Blooming Spring Release: developments are budding.

 * S4U: Progress; Activity refcounting is now automatic.
 * XML: <AS> can now be named <zone> as they should.
 * SMPI: Further performance improvements; RMA support.
 * Cloud: Multi-core VMs (do not overcommit them yet)
 * (+ bug fixes, cleanups and documentation improvements)

                    _               _____  _ ____
__   _____ _ __ ___(_) ___  _ __   |___ / / | ___|
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | |___ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || |___) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|____/
               Mar 22 2017

The Spring Release: continuous integration servers become green.

 * S4U: progress, integrating more parts of SimDag; New examples.
 * SMPI: Support MPI 2.2; Convert internals to C++ (TBC).
 * Java: Massive memleaks and performance issues fixed.
 * (+ bug fixes, cleanups and documentation improvements)

                    _               _____  _ _  _    _ ____  ___
__   _____ _ __ ___(_) ___  _ __   |___ / / | || |  / | ___|/ _ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | || |_ | |___ \ (_) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || |__   _|| |___) \__, |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|  |_|(_)_|____/  /_/
               Dec 28 2016

The Christmas Pi Release (better approximation).

 * Fix various glitches in the previous release.

                    _               _____  _ _  _
__   _____ _ __ ___(_) ___  _ __   |___ / / | || |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | || |_
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || |__   _|
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|  |_|
               Dec 24 2016

The Christmas Pi Release.

 * Documentation reorganized and improved

 * S4U interface further rising, toward SimGrid 4
   - Routing code rewritten for readability
   - Virtual Machines almost turned into a plugin
   - MSG, SimDag, MPI interfaces mostly unchanged

 * The model-checker now works on FreeBSD too.

                    _               _____  _ _____
__   _____ _ __ ___(_) ___  _ __   |___ / / |___ /
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | |_ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || |___) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|____/
                Apr 27 2016

The Half Release, a.k.a. the Zealous Easter Trim.

 * Half of the lines of code are gone.
   - v3.12: 286k lines; v3.13: 142k lines (+ comments)
   - Experimental untested unused "features" removed
   - We rewrote several parts in C++ instead of C

 * Introducing v4 of the XML platform format
   - Many long-due cleanups (details in the Changelog)

 * MSG examples fully reorganized (in C and Java)

 * The S4U interface is rising, toward SimGrid 4
   - All host manipulations now done in S4U
   - SimDag was mostly rewritten on top of S4U
   - MSG & SimDag interfaces mostly unchanged

                    _               _____  _ ____
__   _____ _ __ ___(_) ___  _ __   |___ / / |___ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | __) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || |/ __/
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|_____|
                Oct 12 2015

The Facelift Release. Major changes:

 * Many interface glitches addressed, everywhere.
   - Require g++-4.7, Java 7 and boost 1.48
   - Builds on Linux, OS X, Windows and FreeBSD
   - See ChangeLog for renamed functions and options.

 * Energy plugin: major cleanups/rewrites.
   http://simgrid.org/tutorials/simgrid-energy-101.pdf

 * Model-Checker progresses toward production use:
   - More robust (now runs in a separate process).
   - More efficient (with snapshots' memory compaction).
   - More usable (execution paths replayed out of MC)
   http://simgrid.org/tutorials/simgrid-mc-101.pdf

 * SMPI improvements:
   - Better standard coverage  - SMP-aware collectives
   - InfiniBand model          - Early support for RMA
   - Replay: Dynamic selector  - MVAPICH2 selector
   http://simgrid.org/tutorials/simgrid-smpi-101.pdf

Upcoming v3.13 will introduce new interfaces, toward SimGrid 4.

                    _               _____  _ _
__   _____ _ __ ___(_) ___  _ __   |___ / / / |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || | |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|_|
                May 31 2014

The Class Release. Major changes:

 * Surf is now in C++ (and documented!)
 * Virtual Machine model for Cloud Simulation
 * Surf callbacks: plug your code directly in Surf!
 * Simcalls are script-generated to clean the mess

                    _               _____  _  ___
__   _____ _ __ ___(_) ___  _ __   |___ / / |/ _ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ | | | | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) || | |_| |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_|\___/
                Nov 17 2013

The Clean Diaper Release, a.k.a. SimGrid is leak-free. Major changes:

 * Preliminary DVFS support to track the energy consumption
 * Java is back in the main package (and is very stable).
 * The storage sub-modules is now believed to be usable.
 * SMPI is now very stable (we pass most MPICH tests).
 * Lots of memory leaks were corrected in this release.
 * Verification and model checking further improved:
   liveness+SMPI works; reduction through state equality detection
 Plus the usual load of bug fixes and small improvements

                    _               _____ ___
__   _____ _ __ ___(_) ___  _ __   |___ // _ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ (_) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) \__, |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)/_/
                Feb 5 2013

The "Grasgory" release. Major changes:

 * Gras was completely removed from this version.
 * Documentation reorganization to ease browsing it.
 * New default value for the TCP_gamma parameter: 4MiB

                    _               _____  ___   _
__   _____ _ __ ___(_) ___  _ __   |___ / ( _ ) / |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ / _ \ | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | (_) || |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)___(_)_|
                Oct 27 2012

The "we are told that some people want to also *install* the simgrid
framework" release.

 * Add missing manpage to the archive.

                    _               _____  ___
__   _____ _ __ ___(_) ___  _ __   |___ / ( _ )
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ / _ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | (_) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)___/
                Oct 25 2012

The Psssshiiiit release: SimGrid jumps into the Cloud.
Major changes:

 * Experimental interface to manipulate VMs, EC2-style.
 * Fixes around process restart and stochastic workloads
 * platf: New C interface to create fixed or random platforms
 * SimDag: Many fixes and improvements of typed tasks
 * SMPI now covers more of the MPI interface.
   More datatypes, more functions, more robust.
 * Model-checking: mmalloc is more robust to user errors.

                    _               _____ _____ _
__   _____ _ __ ___(_) ___  _ __   |___ /|___  / |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   / /| |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / /_| |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_/(_)_|
                June 7 2012

The "cleaning the cleanup" release. Major changes:

 * Portability fixups for Mac OSX and Windows
 * Some other bug fixing and various polishing.

                    _               ____  _____
__   _____ _ __ ___(_) ___  _ __   |___ /|___  |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   / /
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | / /
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)_/
                May 15 2012

The "spring cleanups (before the next Big Project kicks in)" release.
Major changes:

 * Major cleanups all around (doc, user options, MSG, Lua, internals)
   Small backward compatibility glitches may have been introduced
 * Parallel execution of user code should be stable and efficient now
 * SMPI is now considered stable
 * Add temporals to Model-Checking (highly experimental right now)

                    _               _____  __    ____
__   _____ _ __ ___(_) ___  _ __   |___ / / /_  |___ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \| '_ \   __) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | (_) | / __/
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)___(_)_____|
                Oct 5 2011

The "Not coding new stuff allows to polish old things" release.

 * Portability to Mac and Windows improved.
 * Possible misconfigurations (contexts, libPCRE) made impossible by
   removing the option or providing sane default value.
 * Experimental support to NS3 simulator as a back-end.

                    _               _____  __    _
__   _____ _ __ ___(_) ___  _ __   |___ / / /_  / |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \| '_ \ | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | (_) || |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)___(_)_|
                Jun 27 2011

The "Oops, we broke Macs too" release.
Bug fix to an issue preventing SimGrid from working on Mac OSX.

                    _               _____  __
__   _____ _ __ ___(_) ___  _ __   |___ / / /_
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \| '_ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | (_) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)___/
                Jun 21 2011

The "OMG! They Killed Kenny!" version. Major changes:

 * Java and Ruby bindings were removed from the main archive
   - They are now distributed separately
 * GRAS is not considered as stable anymore, but experimental. Sorry.
 * First support for parallel simulation:
   - Can run the user code of any simulation in parallel.
   - Basic support for multi-cores hosts in platform files
 * Improved P2P support:
   - Peer tag in platform files for DSL connected nodes
   - Vivaldi routing scheme for lightweigted yet accurate models
 * Improved SMPI: Faster Fortran, automatic privatization of C globals
 * Tracing: trace contains the full platform hierarchy
   exactly as declared using the ASes of the platform file

Plus numerous other goodies (check the ChangeLog for details)

                    _               _____  ____
__   _____ _ __ ___(_) ___  _ __   |___ / | ___|
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \ |___ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____/
                01 Dec 2010

The "Winter in Frejus" release. Also known as "ANR/ADT funding helps"
Major changes are:

 * New feature: Model check any simgrid simulation
 * SMPI is now very usable.
 * Visualization:
    - now covers the whole framework
    - major usability improvements
 * SURF:
    - scalable platform management through hierarchical description
    - new efficient way to bypass the XML parser
 * MSG: at last asynchronous functions are available
 * SIMDAG: many usability improvements (dotloader, ...)
 * GRAS: finally catch up with latest internal evolutions
 * Build chain:
    - Windows port: should be usable now but still considered experimental
    - Autotools have now been completely removed

                    _               _____ _  _    _
__   _____ _ __ ___(_) ___  _ __   |___ /| || |  / |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \| || |_ | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) |__   _|| |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_) |_|(_)_|
                04 May 2010

The "Polishing easter eggs is probably a good idea" release.
This is a bug fixes release only.

                    _               _____ _  _
__   _____ _ __ ___(_) ___  _ __   |___ /| || |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \| || |_
 \ V /  __/ |  \__ \ | (_) | | | |  ___) |__   _|
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_) |_|
                28 Apr 2010

The "Easter in Cargese" release. Also known as (major changes):

 * the "se habla Java, Ruby 話せます, fala-se Lua (and deaf-friendly)"
   ~> bindings were greatly improved
   ~> new tracing infrastructure for better visualization introduced

 * the "Welcome to configury modernity" release.
   ~> we switched from autotools to cmake, and improved our cdash

                    _               _____  _____ _  _
__   _____ _ __ ___(_) ___  _ __   |___ / |___ /| || |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \| || |_
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) |__   _|
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____(_) |_|
                24 Dec 2009

The "Desktop Grid needs love too" release (also called "Xmas release").
Most important changes:
 * Big speedup through lazy evaluation of the linear models
 * Supernovae mode: Compile everything in one unit to improve inlining
 * Simix network module for internal cleanups
 * Load DAX of applications into SimDag
 * Lot of small cleanups and other bug fixes

                    _               _____  _____  _____
__   _____ _ __ ___(_) ___  _ __   |___ / |___ / |___ /
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \   |_ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) | ___) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____(_)____/
                20 Aug 2009

The "Need for Speed" release.
Big speedup through some function inlining.

                    _               _____  _____  ____
__   _____ _ __ ___(_) ___  _ __   |___ / |___ / |___ \
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \   __) |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) | / __/
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____(_)_____|
                19 Aug 2009

The "Simplicity does not preceed complexity, but follows it" release.
Most important changes:
 * surf and simix modules reworked for simplification.
   It lays the ground for future extensions and improvements of SimGrid
 * SMPI was further improved, although not ready for production use yet.

On the way, we gained a bit more than 5% on the classical master/slave
example. More to come on this in future releases.

                    _               _____  _____  _
__   _____ _ __ ___(_) ___  _ __   |___ / |___ / / |
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \ | |
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) || |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____(_)_|
                27 Jun 2009

This dot release is mainly a maintenance one. Most important changes:
 * We fixed a large amount of bugs all around

 * We sanitized the way configuration is handled internally.
   Try passing --cfg-help to binaries compiled against this version.

 * SMPI is in better shape: lot of bugs fixing & usability improvements
   It may be worth trying it (even if all bugs are not gone yet)

This version may have a bit more of memleaks than 3.3. This will be
fixed in a latter release.


     ____  _            ____      _     _
    / ___|(_)_ __ ___  / ___|_ __(_) __| |
    \___ \| | '_ ` _ \| |  _| '__| |/ _` |
     ___) | | | | | | | |_| | |  | | (_| |
    |____/|_|_| |_| |_|\____|_|  |_|\__,_|
                    _               _____  _____
__   _____ _ __ ___(_) ___  _ __   |___ / |___ /
\ \ / / _ \ '__/ __| |/ _ \| '_ \    |_ \   |_ \
 \ V /  __/ |  \__ \ | (_) | | | |  ___) | ___) |
  \_/ \___|_|  |___/_|\___/|_| |_| |____(_)____/
               _             _           _
     _  _ _ _ | |___ __ _ __| |_  ___ __| |
    | || | ' \| / -_) _` (_-< ' \/ -_) _` |
     \_,_|_||_|_\___\__,_/__/_||_\___\__,_|
               Mar 16 2007

homepage: http://simgrid.gforge.inria.fr/
download: http://gforge.inria.fr/frs/?group_id=12

At least, after 2 years of hard work, we managed to release the 3.3
version of the SimGrid framework. There is so many changes that the
changelog only lists the most important ones, leaving alone the small
improvements, bug fixing and new gadgets.

In short:
 * Java bindings
 * New simulation models, and improvement of the GTNetS wrapper

 * Large memory savings (mainly in parser)
 * Faster (twice faster is not uncommon, and from 20 hours to 2
           minutes on very large scenarios)
 * Much better scalability (tested up to 250,000 processes)

 * Complete regression testing framework so that you can trust the tool
 * Lot of neat new modules in the XBT toolbox

This version was thoroughly tested on linux 32bits and 64bits
(debian), as well as Mac OSX (leopard).

Unfortunately, our windows-guy left, and we cannot release the windows
version at the same time than the other archs. Any help would be
really welcomed here.

Some of the 96 included test suites are known to fail, but everything
should work anyway (don't panic):
 * The amok module does not work in real deployment ATM, but I don't
   see this as release critical since I'm not aware of anyone needing
   this right now
 * Some tests about the ability of GRAS to receive messages from
   exotic platforms fail because I've lost access to these platforms
   (such as AIX)
 * the example/gras/pmm sometimes fails (about 1/10 of cases). I'm
   quite puzzled, but I suspect a bug in the test, not in the lib.
 * the tesh auto-tests "fail" on Mac OSX. This is because "rm -rf" is
   sometimes too verbose (when the OS creates hidden files, I
   suspect), but tesh definitely work as the rest on this arch.

We hope to manage to do more timely releases in the future, even if
that may turn out difficult since big stuff is coming (I don't say
much here for the suspense ;)

We hope you'll enjoy this new version, and please report any feedback
on the <simgrid-user@lists.gforge.inria.fr> list.

Martin Quinson (for Da SimGrid Team)
